<?php
namespace Classes;

class Webhook extends Core
{
    private $json;

    public function __construct(string $json)
    {
        parent::__construct();
        if($json)
        {
            $this->json = json_decode($json, false);
        }
        else
        {
            throw new \Exception("JSON is required to use this class");
        }
    }

    public function getMessage()
    {
        return $this->json->text;
    }
}

?>